POST v1/User/Update
Request Information
URI Parameters
None.
Body Parameters
UserUpdateDto| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | integer |
None. |
|
| FirstName | string |
None. |
|
| LastName | string |
None. |
|
| string |
None. |
||
| Department | string |
None. |
|
| JobTitle | string |
None. |
|
| CustomerId | integer |
None. |
|
| Licensed | boolean |
None. |
|
| Confirmed | boolean |
None. |
|
| BypassSso | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"userId": 1,
"firstName": "sample string 2",
"lastName": "sample string 3",
"email": "sample string 4",
"department": "sample string 5",
"jobTitle": "sample string 6",
"customerId": 1,
"licensed": true,
"confirmed": true,
"bypassSso": true,
"roles": null
}
application/xml, text/xml
Sample:
<UserUpdateDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Brainstorm.Api.Models.DTO.Users"> <BypassSso>true</BypassSso> <Confirmed>true</Confirmed> <CustomerId>1</CustomerId> <Department>sample string 5</Department> <Email>sample string 4</Email> <FirstName>sample string 2</FirstName> <JobTitle>sample string 6</JobTitle> <LastName>sample string 3</LastName> <Licensed>true</Licensed> <UserId>1</UserId> </UserUpdateDto>
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.